# Class MariaDbSavepoint

java.lang.Object
org.mariadb.jdbc.MariaDbSavepoint

All Implemented Interfaces:
  `Savepoint`

public class MariaDbSavepoint extends Object implements Savepoint

## Constructor Summary

Constructors
Constructor
Description
`MariaDbSavepoint(String name)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSavepointId()`
Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String`
`getSavepointName()`
Retrieves the name of the savepoint that this `Savepoint` object represents.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MariaDbSavepoint

public MariaDbSavepoint(String name)

## Method Details

### getSavepointId

public int getSavepointId() throws SQLException
Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointId` in interface `Savepoint`
Returns:
  the numeric ID of this savepoint
Throws:
  `SQLException`

### getSavepointName

public String getSavepointName()
Retrieves the name of the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name of this savepoint

### toString

public String toString()

Overrides:
  `toString` in class `Object`